Bug 225255 - NbTestCase fails with Maven and JavaHelpSet (7.2)
NbTestCase fails with Maven and JavaHelpSet (7.2)
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Maven
7.3
PC Linux
: P3 with 6 votes (vote)
: 7.3.1
Assigned To: Milos Kleint
issues@apisupport
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 17:18 UTC by FreakZzoid
Modified: 2013-08-27 07:40 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Simple Maven based App that where NbTestCase case fails when linking org-netbeans-modules-autoupdate-services (4.95 KB, application/x-gzip)
2013-01-30 11:51 UTC, FreakZzoid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FreakZzoid 2013-01-23 17:18:32 UTC
The problem can be reproduce using the standard templates:
1) Create a new Maven NetBeansApplication.
2) Add a Maven based NetBeans Module if one does not already exist. 
3) Add new JavaHelp HelpSet
4) Build or run the integration-test

Running the integration test shows warnings AND a stack trace without failing. Even though the NbModuleSuite has been started with failOnMessage(WARNING) and failOnException(INFO).

Even worse, in my own project the test actually does fail. But since it is solely caused by the test-suite itself I do not know how to handle this issue except to exclude the integration-test during the build process. Which makes the whole test-suite obsolete. 

Infos:
Product Version: NetBeans IDE 7.2 (Build 201207171143)
Java: 1.6.0_24; OpenJDK Client VM 20.0-b12

Output:

WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@1a5f739 and ModuleCL@2f2295[org.netbeans.modules.javahelp] starting from SystemClassLoader[56 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.URLMapper could not be found in SystemClassLoader[56 modules]
java.lang.ClassCastException: org.openide.loaders.DataLoaderPool$DefaultPool cannot be cast to org.netbeans.core.NbLoaderPool
	at org.netbeans.core.NbLoaderPool.getNbLoaderPool(NbLoaderPool.java:667)
	at org.netbeans.core.NbLoaderPool.endUpdates(NbLoaderPool.java:127)
	at org.netbeans.core.CoreBridgeImpl.loaderPoolTransaction(CoreBridgeImpl.java:113)
	at org.netbeans.core.startup.NbInstaller.loadImpl(NbInstaller.java:375)
	at org.netbeans.core.startup.NbInstaller.access$000(NbInstaller.java:103)
	at org.netbeans.core.startup.NbInstaller$1.run(NbInstaller.java:344)
	at org.openide.filesystems.FileUtil$2.run(FileUtil.java:621)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:607)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:605)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:625)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:341)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1179)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1002)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:296)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:169)
	at org.netbeans.core.startup.Main.start(Main.java:305)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(Thread.java:679)
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.loaders.DataLoaderPool arbitrarily from one of ModuleCL@633d51[org.openide.loaders] and ModuleCL@2f2295[org.netbeans.modules.javahelp] starting from SystemClassLoader[56 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.loaders.DataLoaderPool could not be found in SystemClassLoader[56 modules]
Comment 1 chrislovsund 2013-01-30 11:08:07 UTC
I have the exact same issue. Not able to get Functional test to run even though application is running fine with its dependencies set up in pom.xml
Comment 2 chrislovsund 2013-01-30 11:18:35 UTC
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@5b0508f3 and ModuleCL@3e7b0986[org.netbeans.modules.autoupdate.services] starting from SystemClassLoader[620 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.URLMapper could not be found in SystemClassLoader[620 modules]
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.Repository$LayerProvider arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@5b0508f3 and ModuleCL@3e7b0986[org.netbeans.modules.autoupdate.services] starting from SystemClassLoader[620 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.Repository$LayerProvider could not be found in SystemClassLoader[620 modules]

If I exclude dependency org.netbeans.modules.autoupdate.services I get the same warning as reporter states.

WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.Repository$LayerProvider arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@2f90949b and ModuleCL@1c4649d0[org.netbeans.modules.javahelp] starting from SystemClassLoader[620 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.Repository$LayerProvider could not be found in SystemClassLoader[620 modules]
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@2f90949b and ModuleCL@1c4649d0[org.netbeans.modules.javahelp] starting from SystemClassLoader[620 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
Comment 3 FreakZzoid 2013-01-30 11:51:09 UTC
Created attachment 130830 [details]
Simple Maven based App that where NbTestCase case fails when linking org-netbeans-modules-autoupdate-services

As mentioned the HelpSet problem only issues a similar warning. 

The real problem, as mentioned, happens when linking org-netbeans-modules-autoupdate-services into a project which fails the NbTestCase.


I attached a simple example application which fails. Remove the dependency to the included autoupdater module and it works.

Furthermore, I tested the problem with the following dependencies:
- RELEASE73-BETA2
- RELEASE72
Comment 4 macrominds 2013-02-13 13:19:59 UTC
Happens to me when I add org-netbeans-modules-xml-tax as well. 
Actually my dependency list is pretty long, but removing these three dependencies will make the Test succeed, while adding them will make it crash (not fail, crash):

        <dependency>
            <groupId>org.netbeans.modules</groupId>
            <artifactId>org-netbeans-modules-xml-tools</artifactId>
            <version>RELEASE72</version>
        </dependency>
        <dependency>
            <groupId>org.netbeans.modules</groupId>
            <artifactId>org-netbeans-modules-xml-tax</artifactId>
            <version>RELEASE72</version>
        </dependency>
        <dependency>
            <groupId>org.netbeans.api</groupId>
            <artifactId>org-netbeans-libs-xerces</artifactId>
            <version>RELEASE72</version>
        </dependency>

specs:
Product Version         = NetBeans Platform 7.2 (Build 201207171143)
Operating System        = Windows 7 version 6.1 running on amd64
Java; VM; Vendor        = 1.7.0_07; Java HotSpot(TM) 64-Bit Server VM 23.3-b01; Oracle Corporation
Runtime                 = Java(TM) SE Runtime Environment 1.7.0_07-b11
From a 7.3 Beta 2 IDE.

<artifactId>maven-surefire-plugin</artifactId>
<version>2.13</version>

<artifactId>maven-compiler-plugin</artifactId>
<version>3.0</version>

<artifactId>nbm-maven-plugin</artifactId>
<version>3.9</version>
<extensions>true</extensions>
<configuration>
...
<useOSGiDependencies>true</useOSGiDependencies>
</configuration>

Log:
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@28d3ee1b and ModuleCL@239ea79f[org.netbeans.modules.xml.tax] starting from SystemClassLoader[127 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.URLMapper could not be found in SystemClassLoader[127 modules]
WARNING [org.netbeans.core.modules]: the modules [org.netbeans.modules.editor.structure, org.netbeans.modules.xml.text] use org.netbeans.modules.editor.deprecated.pre65formatting which is deprecated.
java.lang.ClassCastException: org.openide.loaders.DataLoaderPool$DefaultPool cannot be cast to org.netbeans.core.NbLoaderPool
	at org.netbeans.core.NbLoaderPool.getNbLoaderPool(NbLoaderPool.java:667)
	at org.netbeans.core.NbLoaderPool.endUpdates(NbLoaderPool.java:127)
	at org.netbeans.core.CoreBridgeImpl.loaderPoolTransaction(CoreBridgeImpl.java:111)
	at org.netbeans.core.startup.NbInstaller.loadImpl(NbInstaller.java:375)
	at org.netbeans.core.startup.NbInstaller.access$000(NbInstaller.java:103)
	at org.netbeans.core.startup.NbInstaller$1.run(NbInstaller.java:344)
	at org.openide.filesystems.FileUtil$2.run(FileUtil.java:619)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:607)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:603)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:623)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:341)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1177)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1000)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:296)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:169)
	at org.netbeans.core.startup.Main.start(Main.java:305)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(Thread.java:722)
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.loaders.DataLoaderPool arbitrarily from one of ModuleCL@43551d57[org.openide.loaders] and ModuleCL@239ea79f[org.netbeans.modules.xml.tax] starting from SystemClassLoader[127 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.loaders.DataLoaderPool could not be found in SystemClassLoader[127 modules]

Results :

Tests run: 0, Failures: 0, Errors: 0, Skipped: 0

------------------------------------------------------------------------
BUILD FAILURE
------------------------------------------------------------------------
Total time: 55.793s
Finished at: Wed Feb 13 14:08:57 CET 2013
Final Memory: 24M/334M
------------------------------------------------------------------------
Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.12.2:test (default-test) on project editor-support-app: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.12.2:test failed: The forked VM terminated without saying properly goodbye. VM crash or System.exit called ? -> [Help 1]
Comment 5 ebakke 2013-04-16 02:45:23 UTC
I've observed the same problem. Creating a fresh set of Maven-based Platform Application projects under NetBeans IDE 7.3 and adding the dependency org.netbeans.api:org-netbeans-modules-db to the application module yields the following output:

java.lang.ClassCastException: org.openide.loaders.DataLoaderPool$DefaultPool cannot be cast to org.netbeans.core.NbLoaderPool
	at org.netbeans.core.NbLoaderPool.getNbLoaderPool(NbLoaderPool.java:667)
	at org.netbeans.core.NbLoaderPool.endUpdates(NbLoaderPool.java:127)
	at org.netbeans.core.CoreBridgeImpl.loaderPoolTransaction(CoreBridgeImpl.java:113)
	at org.netbeans.core.startup.NbInstaller.loadImpl(NbInstaller.java:377)
	at org.netbeans.core.startup.NbInstaller.access$000(NbInstaller.java:105)
	at org.netbeans.core.startup.NbInstaller$1.run(NbInstaller.java:346)
	at org.openide.filesystems.FileUtil$2.run(FileUtil.java:431)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:609)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:415)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:435)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:343)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1186)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1009)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:301)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:181)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150)
	at org.netbeans.core.startup.Main.start(Main.java:307)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(Thread.java:680)
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@5bbf3d87 and ModuleCL@5f0f0625[org.netbeans.modules.javahelp] starting from SystemClassLoader[62 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.URLMapper could not be found in SystemClassLoader[62 modules]
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.netbeans.spi.project.libraries.LibraryProvider arbitrarily from one of ModuleCL@5abd09e8[org.netbeans.modules.project.libraries] and ModuleCL@750e687b[org.netbeans.modules.db] starting from SystemClassLoader[62 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.netbeans.spi.project.libraries.LibraryProvider could not be found in SystemClassLoader[62 modules]
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.loaders.DataLoaderPool arbitrarily from one of ModuleCL@576504fa[org.openide.loaders] and ModuleCL@5f0f0625[org.netbeans.modules.javahelp] starting from SystemClassLoader[62 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.loaders.DataLoaderPool could not be found in SystemClassLoader[62 modules]

Results :

Tests run: 0, Failures: 0, Errors: 0, Skipped: 0

------------------------------------------------------------------------
Reactor Summary:

DBEirik-parent .................................... SUCCESS [0.205s]
DBEirik-branding .................................. SUCCESS [2.780s]
DBEirik-app ....................................... FAILURE [22.922s]
------------------------------------------------------------------------
BUILD FAILURE
------------------------------------------------------------------------
Total time: 27.134s
Finished at: Mon Apr 15 22:41:31 EDT 2013
Final Memory: 30M/81M
------------------------------------------------------------------------
Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.12.2:test (default-test) on project DBEirik-app: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.12.2:test failed: The forked VM terminated without saying properly goodbye. VM crash or System.exit called ? -> [Help 1]

To see the full stack trace of the errors, re-run Maven with the -e switch.
Re-run Maven using the -X switch to enable full debug logging.

For more information about the errors and possible solutions, please read the following articles:
[Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException

After correcting the problems, you can resume the build with the command
  mvn <goals> -rf :DBEirik-app
Comment 6 ebakke 2013-04-16 02:46:23 UTC
Note that the output in my previous comment was seen under MacOS and Java 6.
Comment 7 Milos Kleint 2013-04-16 06:25:55 UTC
most likely your compilation classpath is not enough at runtime when running tests. You will need to add test level dependencies.
Comment 8 ebakke 2013-04-16 06:57:57 UTC
(In reply to comment #7)
> most likely your compilation classpath is not enough at runtime when running
> tests. You will need to add test level dependencies.

Thanks for the suggestion. I created a fresh Maven NetBeans Application project and added org-netbeans-modules-db in the app module as a test dependency only ("<scope>test</scope>" in pom.xml)--the error is still the same (including the "The forked VM terminated without saying properly goodbye. VM crash or System.exit called?"). My apologies if I'm doing something wrong here.
Comment 9 Milos Kleint 2013-04-18 09:03:57 UTC
the workaround appears to be to add to ApplicationTest.suite():

enableClasspathModules(false). 
clusters(".*").
Comment 10 ebakke 2013-04-18 17:47:11 UTC
The workaround worked--thanks!
Comment 11 Milos Kleint 2013-04-19 06:10:56 UTC
http://fisheye.codehaus.org/changelog/mojo/?cs=18223 fixed the archetype, I've released 1.13 version of it, will be n central shortly
Comment 12 Milos Kleint 2013-04-19 14:23:07 UTC
http://hg.netbeans.org/core-main/rev/c0c1ae354bb5
Comment 13 Quality Engineering 2013-04-21 02:19:02 UTC
Integrated into 'main-golden', will be available in build *201304202301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c0c1ae354bb5
User: Milos Kleint <mkleint@netbeans.org>
Log: #225255 use 1.13 of application archetype
Comment 14 Tomas Danek 2013-05-02 10:53:31 UTC
Product Version: NetBeans IDE Dev (Build 201304292301)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev

verified, ApplicationTest.java is now generated according to comment #9. Please backport.
Comment 15 Marian Mirilovic 2013-05-03 11:21:52 UTC
Milos, could you please transplant the fix into release73 branch ASAP? Thanks in advance
Comment 16 Milos Kleint 2013-05-03 11:57:47 UTC
http://hg.netbeans.org/releases/rev/17c82e2d5670
Comment 17 Quality Engineering 2013-05-05 00:27:16 UTC
Integrated into 'releases', will be available in build *201305042200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/17c82e2d5670
User: Milos Kleint <mkleint@netbeans.org>
Log: #225255 use 1.13 of application archetype - merged into release73
Comment 18 Tomas Danek 2013-05-10 11:30:52 UTC
v. in 

Product Version: NetBeans IDE 7.3.1 (Build 201305082200)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3
Comment 19 Jirik_Kutil 2013-08-27 07:33:08 UTC
Hello,

I have Maven NB App @ 7.2.1 platform (RELEASE 721), if I use 

return NbModuleSuite.createConfiguration(ApplicationTest.class).
                gui(true).
                failOnMessage(Level.OFF). // works at least in RELEASE71
                failOnException(Level.OFF).
                enableClasspathModules(false). 
                clusters(".*").
                suite();

then I get exception:
Tests run: 1, Failures: 0, Errors: 1, Skipped: 0, Time elapsed: 2.628 sec <<< FAILURE!
testApplication(cz.skoda.beta.test.it_login.qa.ApplicationTest)  Time elapsed: 0.036 sec  <<< ERROR!
java.lang.NoClassDefFoundError: org/netbeans/jellytools/actions/ActionNoBlock
	at cz.skoda.beta.test.it_login.qa.ApplicationTest.testApplication(ApplicationTest.java:40)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:95)
	at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:403)
	at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:329)
	at org.netbeans.junit.NbTestCase.runBare(NbTestCase.java:422)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at org.netbeans.junit.NbTestCase.run(NbTestCase.java:260)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at org.netbeans.junit.NbModuleSuite$NbTestSuiteLogCheck.runTest(NbModuleSuite.java:1474)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.netbeans.junit.NbModuleSuite$S.runInRuntimeContainer(NbModuleSuite.java:932)
	at org.netbeans.junit.NbModuleSuite$S.access$100(NbModuleSuite.java:660)
	at org.netbeans.junit.NbModuleSuite$S$1.protect(NbModuleSuite.java:679)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at org.netbeans.junit.NbModuleSuite$S.run(NbModuleSuite.java:677)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:252)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:141)
	at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:112)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:189)
	at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:165)
	at org.apache.maven.surefire.booter.ProviderFactory.invokeProvider(ProviderFactory.java:85)
	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:113)
	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:75)
Caused by: java.lang.ClassNotFoundException: org.netbeans.jellytools.actions.ActionNoBlock starting from SystemClassLoader[59 modules] with possible defining loaders null and declared parents [ModuleCL@431f1d97[org.netbeans.spi.quicksearch], ModuleCL@4f942276[org.netbeans.core.netigso], ModuleCL@3906173b[org.netbeans.modules.favorites], ModuleCL@5c618ea[org.netbeans.modules.sendopts], ModuleCL@2fca747e[org.netbeans.api.progress], ModuleCL@a220861[cz.skoda.beta.api.alm.api.model], ModuleCL@782dc2b3[org.netbeans.modules.options.keymap], ModuleCL@2cdbf42e[cz.skoda.beta.modules.security.view.login.tc], ModuleCL@57c44377[cz.skoda.beta.api.core.api.model], ModuleCL@4868c6ed[org.netbeans.modules.autoupdate.services], ...44 more]
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:264)
	at org.netbeans.ModuleManager$SystemClassLoader.loadClass(ModuleManager.java:713)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 38 more
Caused by: java.lang.ClassNotFoundException: org.netbeans.jellytools.actions.ActionNoBlock
	at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:262)
	... 40 more

If I use 
  return NbModuleSuite.createConfiguration(ApplicationTest.class).
                failOnException(Level.OFF).
                failOnMessage(Level.OFF).suite();

I get exception:

java.lang.ClassCastException: org.openide.loaders.DataLoaderPool$DefaultPool cannot be cast to org.netbeans.core.NbLoaderPool
	at org.netbeans.core.NbLoaderPool.getNbLoaderPool(NbLoaderPool.java:667)
	at org.netbeans.core.NbLoaderPool.endUpdates(NbLoaderPool.java:127)
	at org.netbeans.core.CoreBridgeImpl.loaderPoolTransaction(CoreBridgeImpl.java:111)
	at org.netbeans.core.startup.NbInstaller.loadImpl(NbInstaller.java:375)
	at org.netbeans.core.startup.NbInstaller.access$000(NbInstaller.java:103)
	at org.netbeans.core.startup.NbInstaller$1.run(NbInstaller.java:344)
	at org.openide.filesystems.FileUtil$2.run(FileUtil.java:619)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:607)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:603)
	at org.openide.filesystems.FileUtil.runAtomicAction(FileUtil.java:623)
	at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:341)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1179)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:1002)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:296)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:169)
	at org.netbeans.core.startup.Main.start(Main.java:305)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123)
	at java.lang.Thread.run(Thread.java:724)
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.filesystems.URLMapper arbitrarily from one of org.netbeans.MainImpl$BootClassLoader@20b8db77 and ModuleCL@9a3da81[org.netbeans.modules.javahelp] starting from SystemClassLoader[66 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.filesystems.URLMapper could not be found in SystemClassLoader[66 modules]
WARNING [org.netbeans.ProxyClassLoader]: Will not load class org.openide.loaders.DataLoaderPool arbitrarily from one of ModuleCL@54acb07d[org.openide.loaders] and ModuleCL@9a3da81[org.netbeans.modules.javahelp] starting from SystemClassLoader[66 modules]; see http://wiki.netbeans.org/DevFaqModuleCCE
WARNING [org.openide.util.lookup.MetaInfServicesLookup]: org.openide.loaders.DataLoaderPool could not be found in SystemClassLoader[66 modules]

Can you help me?

thank Jirka
Comment 20 Milos Kleint 2013-08-27 07:40:29 UTC
(In reply to Jirik_Kutil from comment #19)
>
> java.lang.NoClassDefFoundError: org/netbeans/jellytools/actions/ActionNoBlock
> 	at
> cz.skoda.beta.test.it_login.qa.ApplicationTest.
> testApplication(ApplicationTest.java:40)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>

is this class org/netbeans/jellytools/actions/ActionNoBlock on the classpath of the application?

since you have 
enableClasspathModules(false). 
clusters(".*")

turned on in your project, I suspect this issue is different from the one reported originally. I will close this issue as fixed, please create a new issue for your problem. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo